/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software 
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or 
 * redistribute the software under the terms of the CeCILL license as 
 * circulated by CEA, CNRS and INRIA at the following URL 
 * "http://www.cecill.info". 
 * As a counterpart to the access to the source code and rights to copy, modify 
 * and redistribute granted by the license, users are provided only with a 
 * limited warranty and the software's author, the holder of the economic 
 * rights, and the successive licensors have only limited liability. In this 
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user 
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is 
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the 
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally, 
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge 
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.carambole.server.components;

// Generated by the WOLips Templateengine Plug-in at 14 mars 2007 06:42:53

import org.cocktail.carambole.server.MyAjaxPage;
import org.cocktail.fwkcktldepense.server.factory.FactoryDepenseControlePlanComptable;
import org.cocktail.fwkcktldepense.server.factory.FactoryPreDepenseControlePlanComptable;
import org.cocktail.fwkcktldepense.server.metier.EODepenseControlePlanComptable;
import org.cocktail.fwkcktldepense.server.metier.EOInventaire;
import org.cocktail.fwkcktldepense.server.metier.EOPreDepenseControlePlanComptable;
import org.cocktail.fwkcktldepense.server.metier._IDepenseControlePlanComptable;

import com.webobjects.appserver.WOComponent;
import com.webobjects.appserver.WOContext;
import com.webobjects.appserver.WOResponse;
import com.webobjects.foundation.NSArray;

public class InventaireListeSelection extends MyAjaxPage {

	private static final long serialVersionUID = 1L;
	private _IDepenseControlePlanComptable depense = null;
	private EOInventaire unInventaire = null;
	private NSArray<EOInventaire> lesInventairesPossiblesSelectionnees = null;
	private String retourPage = null;

	public InventaireListeSelection(WOContext context) {
		super(context);
	}

	public void appendToResponse(WOResponse res, WOContext ctx) {
		super.appendToResponse(res, ctx);
	}

	public WOComponent annuler() {
		reset();

		return null;
	}

	public boolean isAjouterDisabled() {
		boolean isAjouterDisabled = true;
		NSArray<EOInventaire> inventaires = getLesInventairesPossiblesSelectionnees();
		if (inventaires != null && inventaires.count() > 0) {
			isAjouterDisabled = false;
		}
		return isAjouterDisabled;
	}

	public void neFaitRien() {

	}

	public WOComponent ajouterLesInventairesSelectionnees() {
		NSArray<EOInventaire> inventaires = getLesInventairesPossiblesSelectionnees();
		ajouterInventaires(getDepense(), inventaires);
		Liquidation2 nextPage = (Liquidation2) pageWithName(Liquidation2.class.getName());
		nextPage.setLaDepensePapier(getDepense().depenseBudget().depensePapier());
		return nextPage;
	}

	public _IDepenseControlePlanComptable getDepense() {
		return depense;
	}

	public void setDepense(_IDepenseControlePlanComptable depense) {
		this.depense = depense;
	}

	public EOInventaire getUnInventaire() {
		return unInventaire;
	}

	public void setUnInventaire(EOInventaire unInventaire) {
		this.unInventaire = unInventaire;
	}

	public NSArray<EOInventaire> getLesInventairesPossiblesSelectionnees() {
		return lesInventairesPossiblesSelectionnees;
	}

	public void setLesInventairesPossiblesSelectionnees(NSArray<EOInventaire> lesInventairesPossiblesSelectionnees) {
		this.lesInventairesPossiblesSelectionnees = lesInventairesPossiblesSelectionnees;
	}

	public void ajouterInventaires(_IDepenseControlePlanComptable depense, NSArray<EOInventaire> inventaires) {
		if (inventaires != null && inventaires.count() > 0) {
			if (depense instanceof EOPreDepenseControlePlanComptable) {
				FactoryPreDepenseControlePlanComptable fdcp = new FactoryPreDepenseControlePlanComptable();
				fdcp.ajouterInventaires((EOPreDepenseControlePlanComptable) depense, inventaires);
			}
			else {
				FactoryDepenseControlePlanComptable fdcp = new FactoryDepenseControlePlanComptable();
				fdcp.ajouterInventaires((EODepenseControlePlanComptable) depense, inventaires);
			}
		}
	}

	public String getRetourPage() {
		return retourPage;
	}

	public void setRetourPage(String retourPage) {
		this.retourPage = retourPage;
	}

	public NSArray<EOInventaire> getInventairesPossibles() {
		return getDepense().getInventairesPossibles();
	}

}